// params.h
// Limits and increments for input parameters
// (c) Bill Dally, April 2020
//
// Copyright 2020 Bill Dally
// 
// Licensed under the Ventilator Open Source License (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// ./LICENSE
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// limits on input parameters
#define MIN_BPM 5
#define MAX_BPM 40
#define INC_BPM 1  

#define MIN_VOL 50
#define MAX_VOL 800
#define INC_VOL 10  //
#define INC_VOL2 20  //

#define MIN_ETOI 5
#define MAX_ETOI 40
#define INC_ETOI 5  //

#define MIN_MAXP 100 // mm of H2O 
#define MAX_MAXP 600 // 
#define INC_MAXP 50

#define MIN_FIO2 21 // % inspired O2
#define MAX_FIO2 100 //
#define INC_FIO2 5

#define MIN_PSFRAC 1 // % inspired O2
#define MAX_PSFRAC 7 //
#define INC_PSFRAC 1

#define MIN_SPEEP 0 // mm of H2O 
#define MAX_SPEEP 200 // 
#define INC_SPEEP 25

#define MIN_ALARMP 100 // mm of H2O 
#define MAX_ALARMP 700 // 
#define INC_ALARMP 50

#define MIN_LMV 0      // ml  
#define MAX_LMV 30000  
#define INC_LMV 500   

#define MIN_HMV 0      // ml 
#define MAX_HMV 30000 
#define INC_HMV 500    

#define MIN_PIPD 0      // mm of H2O 
#define MAX_PIPD 200    
#define INC_PIPD 10     

#define MIN_TRIGP 5      // mm of H2O 
#define MAX_TRIGP 50    
#define INC_TRIGP 5     
