// solenoid.c
//
// Routines to handle non-pwm solenoids
// (c) Bill Dally, April 2020
//
// Copyright 2020 Bill Dally
// 
// Licensed under the Ventilator Open Source License (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// ./LICENSE
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// Sol3 is PD6
// Sol4 is PD7

#include "main.h"
#include <avr/io.h>

void sol3_on(void) {
  sol3_state = 1 ;
  PORTD = PORTD | (1<<SOL3_PD) ;
}

void sol3_off(void) {
  sol3_state = 0 ;
  PORTD = PORTD & ~(1<<SOL3_PD) ;
}

void sol4_on(void) {
  sol4_state = 1 ;
  PORTD = PORTD | (1<<SOL4_PD) ;
}

void sol4_off(void) {
  sol4_state = 0 ;
  PORTD = PORTD & ~(1<<SOL4_PD) ;
}
